# Audio Files and Raw Samples

This section contains functions for loading audio samples from disk or memory, along with streaming functions for asynchronous IO. Audio samples are reference counted, meaning whenever the raw samples are referenced and played the reference count of the samples increases, and decreases when sound instances stop playing.

[audio_load_ogg](https://github.com/RandyGaul/cute_framework/blob/master/doc/audio/audio/audio_load_ogg.md)  
[audio_load_wav](https://github.com/RandyGaul/cute_framework/blob/master/doc/audio/audio/audio_load_wav.md)  
[audio_load_ogg_from_memory](https://github.com/RandyGaul/cute_framework/blob/master/doc/audio/audio/audio_load_ogg_from_memory.md)  
[audio_load_wav_from_memory](https://github.com/RandyGaul/cute_framework/blob/master/doc/audio/audio/audio_load_wav_from_memory.md)  
[audio_stream_ogg](https://github.com/RandyGaul/cute_framework/blob/master/doc/audio/audio/audio_stream_ogg.md)  
[audio_stream_wav](https://github.com/RandyGaul/cute_framework/blob/master/doc/audio/audio/audio_stream_wav.md)  
[audio_stream_ogg_from_memory](https://github.com/RandyGaul/cute_framework/blob/master/doc/audio/audio/audio_stream_ogg_from_memory.md)  
[audio_stream_wav_from_memory](https://github.com/RandyGaul/cute_framework/blob/master/doc/audio/audio/audio_stream_wav_from_memory.md)  
[audio_destroy](https://github.com/RandyGaul/cute_framework/blob/master/doc/audio/audio/audio_destroy.md)  
[audio_ref_count](https://github.com/RandyGaul/cute_framework/blob/master/doc/audio/audio/audio_ref_count.md)  
