# Math

Math in Cute mostly comes from some external open source code [here on GitHub](https://github.com/RandyGaul/cute_headers). As such, vector operations such as the vector class `v2`, easing/lerping functions, along with a myriad of other little helpers comes from [cute_math2d.h](https://github.com/RandyGaul/cute_framework/blob/master/include/cute/cute_math2d.h).

All of the collision functions reside in [cute_math.h](https://github.com/RandyGaul/cute_framework/blob/master/include/cute_math.h), but originally come from the open source file [cute_c2.h](https://github.com/RandyGaul/cute_framework/blob/master/include/cute/cute_c2.h). Here is a list of the various kinds of collision shapes supported.

* Circle
* AABB
* Capsule
* Polygon
* Ray

There is too much information to document right here, so please check out the following files for more information. Not to worry! These files are filled with a lot of very good documentation on the header comments :)

* [cute_math2d.h](https://github.com/RandyGaul/cute_framework/blob/master/include/cute/cute_math2d.h) for basic math types and linear algebra functions.
* [cute_math.h](https://github.com/RandyGaul/cute_framework/blob/master/include/cute_math.h) for collision functions.

There is also a custom implementation of psuedo-random number generation documented in the [rnd](https://github.com/RandyGaul/cute_framework/tree/master/doc/math/rnd) section.
